<?php 
	require('scripts/sb_functions.php');
	$logged_in = logged_in( false, true );
	
	read_config();
	
	require('languages/' . $blog_config[ 'blog_language' ] . '/strings.php');
	sb_language( 'index' );
	
	// The $default_view determines whether to show
	// just the first x entries or whether to show archive
	// entries from a certain date.
	global $default_view;
	
	if ( !isset($_GET['y']) || !isset($_GET['m']) ) {
		// Set the $month, $year, $day globals...
		get_latest_entry();
		
		$default_view = 2;
	} else {
		// Grab $year and $month from URL
		global $month, $year;
		$year = $_GET['y'];
		$month = $_GET['m'];
		
		if ( isset( $_GET['default_view'] ) ) {
			$default_view = $_GET['default_view'];
		} else {
			$default_view = 0;
		}
	}
	
	if ( isset($_GET['d']) ) {
		global $day;
		$day = $_GET['d'];
	}
	
	if ( isset($_GET['entry']) ) {
		global $entry;
		$entry = $_GET['entry'];
	}
	
	global $lang_string, $sb_info, $blog_config;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=<?php echo( $lang_string['html_charset'] ); ?>'>
	 
	<!-- Meta Data -->
	<?php global $lang_string, $sb_info, $blog_config; ?>
	<meta name="generator" content="Simple PHP Blog <?php echo( $sb_info[ 'version' ] );?>" />
	<link rel="alternate" type="text/xml" title="RSS 2.0" href="rss.php" />
	
	<!-- Meta Data -->
	<!-- http://dublincore.org/documents/dces/ -->
	<meta name="dc.title"       content="<?php echo( $blog_config[ 'blog_title' ] ); ?>">
	<meta name="author"         content="<?php echo( $blog_config[ 'blog_author' ] ); ?>">
	<meta name="dc.creator"     content="<?php echo( $blog_config[ 'blog_author' ] ); ?>">
	<meta name="dc.subject"     content="<?php echo( $blog_config[ 'info_keywords' ] ); ?>">
	<meta name="keywords"       content="<?php echo( $blog_config[ 'info_keywords' ] ); ?>">
	<meta name="dc.description" content="<?php echo( $blog_config[ 'info_description' ] ); ?>">
	<meta name="description"    content="<?php echo( $blog_config[ 'info_description' ] ); ?>">
	<meta name="dc.type"        content="weblog">
	<meta name="dc.type"        content="blog">
	<meta name="resource-type"  content="document"> 
	<meta name="dc.format"      scheme="IMT" content="text/html">
	<meta name="dc.source"      scheme="URI" content="<?php if ( dirname($_SERVER['PHP_SELF']) == '\\' ) { echo( 'http://'.$_SERVER['HTTP_HOST'].'/index.php' ); } else { echo( 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/index.php' ); } ?>">
	<meta name="dc.language"    scheme="RFC1766" content="<?php echo( str_replace('_', '-', $lang_string['locale']) ); ?>" >
	<meta name="dc.coverage"    content="global">
	<meta name="distribution"   content="GLOBAL"> 
	<meta name="dc.rights"      content="<?php echo( $blog_config[ 'info_copyright' ] ); ?>">
	<meta name="copyright"      content="<?php echo( $blog_config[ 'info_copyright' ] ); ?>">
	
	<!-- Robots -->
	<meta name="robots" content="ALL,INDEX,FOLLOW,ARCHIVE"> 
	<meta name="revisit-after" content="7 days"> 
	
	 <!-- Fav Icon -->
	<link rel="shortcut icon" href="favicon.ico">
	
	<link rel=stylesheet type="text/css" href="themes/<?php echo( $blog_theme ); ?>/style.css">
	<?php require('themes/' . $blog_theme . '/user_style.php'); ?>
	<script language="JavaScript" src="scripts/sb_javascript.js"></script>
	<title><?php echo($blog_config[ 'blog_title' ]); ?></title>
</head>
<?php 
	function page_content() {
		global $month, $year, $day, $default_view, $logged_in, $entry;
		
		echo ( read_entries( $month, $year, $day, $logged_in, $entry ) );
	}
?>
<?php 
	theme_pagelayout();
?>
</html>
