<?php
	// RSS feed support
	// (c) 2004 Javier Gutirrez Chamorro (Guti), guti <at> ya <dot> com
	//
	// Simple PHP Version: 0.3.7b
	// RSS Version:   0.3.7b
	
	function clean_rss_output ( $str ) {
		// Decode/Encode HTML output
		global $lang_string;
		$str = html_entity_decode( $str, ENT_QUOTES, $lang_string['php_charset'] );
		$str = htmlspecialchars( $str, ENT_QUOTES, $lang_string['php_charset'] );
		
		return( $str );
	}

	function generate_rss ()
	{
		// Read entries by month, year and/or day. Generate HTML output.
		//
		// Used for the main Index page.
		global $lang_string, $blog_config, $user_colors, $sb_info;
		
		$entry_file_array = blog_entry_listing();

		// Flip entry order
		if ( $blog_config[ 'blog_entry_order' ] == 'old_to_new' ) {
			$entry_file_array = array_reverse( $entry_file_array );
		}
		
		if ( dirname($_SERVER['PHP_SELF']) == '\\' ) {
			// Hosted at root.
			$base_url = 'http://'.$_SERVER['HTTP_HOST'].'/';
		} else {
			// Hosted in sub-directory.
			$base_url = 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/';
		}
		
		header("Content-type: application/xml");
		echo "<?xml version=\"1.0\" encoding=\"ISO-8859-2\"". "?". ">\n";
		echo "<rss version=\"2.0\">\n";
		echo "<channel>\n";
		//Required channel fields
		echo "\t<title>" . clean_rss_output(  $blog_config[ 'blog_title' ] ) . "</title>\n";
		echo "\t<link>" . $base_url . "index.php</link>\n";
		echo "\t<description>" . clean_rss_output(  $blog_config[ 'blog_footer' ] ) . "</description>\n";
		//Optional channel fields
		echo "\t<copyright>" . clean_rss_output(  "Copyright " . strftime( '%Y' ) .", " . $blog_config[ 'blog_author' ] ) . "</copyright>\n";
		echo "\t<managingEditor>" . clean_rss_output(  $blog_config[ 'blog_email' ] . " (" . $blog_config[ 'blog_author' ] . ")" ) . "</managingEditor>\n";
		echo "\t<language>" . str_replace("_", "-", $lang_string['locale']) . "</language>\n";
		echo "\t<generator>SPHPBLOG " . $sb_info[ 'version' ] . "</generator>\n";

		// Read entry files
		for ( $i = 0; $i < min( ( $blog_config[ 'blog_max_entries' ] ), count( $entry_file_array ) ); $i++ ) {
			list( $entry_filename, $year_dir, $month_dir ) = explode( '|', $entry_file_array[ $i ] );
			$contents=array( 'text' => sb_read_file( 'content/' . $year_dir . '/' . $month_dir . '/' . $entry_filename ), 'entry' => $entry_filename );
			list( $blog_subject, $blog_date, $blog_text ) = explode('|', ( $contents['text'] ) );
			echo "\t<item>\n";
			//Required item fields
			echo "\t\t<title>" . clean_rss_output(  blog_to_html( $blog_subject, false, false ) ) . "</title>\n";
			echo "\t\t<link>" . $base_url . "index.php?entry=" . sb_strip_extension( $entry_filename ) . "</link>\n"; /* Changed the link URL */
			echo "\t\t<description>" . clean_rss_output(  blog_to_html( $blog_text, false, false ) ) . "</description>\n";
			//Optional item fields
			echo "\t\t<guid isPermaLink=\"true\">" . $base_url . "?entry=" . sb_strip_extension( $entry_filename ) . "</guid>\n"; /* Changed the guid URL */
			echo "\t\t<author>" . clean_rss_output(  $blog_config[ 'blog_email' ] ) . "</author>\n";
			echo "\t\t<pubDate>" . gmdate( "D, d M Y H:i:s", $blog_date ) . " GMT</pubDate>\n";
			
			// Only output if <comments> if they are enabled.
			if ( $blog_config[ 'blog_enable_comments' ] ) {
				echo "\t\t<comments>" . $base_url . "comments.php?y=" . $year_dir . "&amp;m=" . $month_dir . "&amp;entry=" . sb_strip_extension( $entry_filename ) . "</comments>\n";
			}
			
			echo "\t</item>\n";
		}

		echo "</channel>\n";
		echo "</rss>\n";
	}
	
	// Include Required Functions
	require('scripts/sb_functions.php');
	
	read_config();
	
	require('languages/' . $blog_config[ 'blog_language' ] . '/strings.php');
	sb_language( 'index' );
	
	// Output Page
	generate_rss();
?>
