<?php 
	
	// Simple PHP Blog
	// Version 0.3.5 - 06/04/2004
	// ------------------------------
	// Created by: Alexander Palmo, apalmo <at> bigevilbrain <dot> com
	//
	// The Simple PHP Blog is released under the GNU Public License.
	//
	// You are free to use and modify the Simple PHP Blog. All changes 
	// must be uploaded to SourceForge.net under Simple PHP Blog or
	// emailed to apalmo <at> bigevilbrain <dot> com
	//
	// Credit should be give to the original author and the Simple PHP Blog
	// logo graphic must appear on the site and link to the project
	// on SourceForge.net
	
	// Display Functions
	
	function menu_display_links () {
		// Returns the Links menu as HTML.
		//
		// Example:
		// --------
		// Links
		// Home
		// Static
		// [ + link ]
		//
		global $lang_string, $logged_in;
		
		$str = '';
		$str = $str . '<a href="index.php">' . $lang_string['menu_home'] . '</a><br />';
		$str = $str . read_links( $logged_in );
		
		$result = array();
		$result['title'] = $lang_string['menu_links'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function menu_display_blognav () {
		// Returns the blog entry navigation menu as HTML.
		//
		// Example:
		// --------
		// 2004
		// May (2)
		//   5/27/04 (2)
		//
		global $month, $year, $day, $lang_string;
		
		$str = '';
		$str = $str . read_menus( $month, $year, $day );
		
		$result = array();
		$result['title'] = $lang_string['menu_archive'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function menu_display_login () {
		// Returns login / logout link as HTML.
		//
		// Example:
		// --------
		// Login
		//
		global $lang_string, $logged_in;
		
		$str = '';
		if ($logged_in === true) {
			$str = $str . '<a href="logout.php">' . $lang_string['menu_logout'] . '</a>';
		} else {
			$str = $str . '<a href="login.php">' . $lang_string['menu_login'] . '</a>';
		}
		
		return ( $str );
	}
	
	function menu_display_user () {
		// Returns login / logout link as HTML.
		//
		// Example:
		// --------
		// Menu
		// Add Entry
		// Add Static Page
		// Upload Image
		//
		global $lang_string, $logged_in;
		
		$str = '';
		if ($logged_in === true) {
			$str = $str . '<a href="add.php">' . $lang_string['menu_add'] . '</a><br />';
			$str = $str . '<a href="add_static.php">' . $lang_string['menu_add_static'] . '</a><br />';
			$str = $str . '<a href="upload_img.php">' . $lang_string['menu_upload'] . '</a>';
		}
		
		$result = array();
		$result['title'] = $lang_string['menu_menu'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function menu_display_setup () {
		// Returns login / logout link as HTML.
		//
		// Example:
		// --------
		// Setup
		// Setup
		// Options
		// Colors
		// Themes
		// Change Login
		//
		global $lang_string, $logged_in;
		
		$str = '';
		if ($logged_in === true) {
			$str = $str . '<a href="setup.php">' . $lang_string['menu_setup'] . '</a><br />';
			$str = $str . '<a href="options.php">' . $lang_string['menu_options'] . '</a><br />';
			$str = $str . '<a href="info.php">' . $lang_string['menu_info'] . '</a><br />';
			$str = $str . '<a href="colors.php">' . $lang_string['menu_colors'] . '</a><br />';
			$str = $str . '<a href="themes.php">' . $lang_string['menu_themes'] . '</a><br />';
			$str = $str . '<a href="set_login.php">' . $lang_string['menu_change_login'] . '</a>';
		}
		
		$result = array();
		$result['title'] = $lang_string['menu_setup'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function menu_most_recent_comments () {
		global $lang_string;
		
		$str = get_most_recent();
		
		$result = array();
		$result['title'] = $lang_string['menu_most_recent'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function menu_search_field () {
		// Returns the search field text box.
		//
		// Example:
		// --------
		// Search
		// --------- [go]
		//
		global $lang_string;
		
		$str = '';
		$str = $str . '<form method=get action="search.php">';
		$str = $str . '<input type="text" size="14" name="q" id="q" autocomplete=OFF>&nbsp;';
		$str = $str . '<input type="submit" value="' . $lang_string['search_go'] . '">';
		$str = $str . '</form>';
		
		$result = array();
		$result['title'] = $lang_string['search_title'];
		$result['content'] = $str;
		
		return ( $result );
	}
	
	function page_generated_in () {
		// Returns "Page Generated x.xxxx in seconds"
		global $lang_string, $page_timestamp;
		
		$str = str_replace ( '%s', round( getmicrotime() - $page_timestamp, 4 ), $lang_string['page_generated_in'] );

		return ( $str );
	}
?>